package com.xlht.xlhtproject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


/**
 * 化验结果明细对象 z_assay_result
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZAssayResult
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long resultId;

    /** 化验唯一编号 */
    private String assayNo;

    /** 结果编号 */
    private String resultNo;

    /** 样品编号 */
    private String sampleNo;

    /** 样品体积 */
    private Long sampleVolume;

    /** 化验设备编号 */
    private String deviceNo;

    /** 化验项目 */
    private String assayItem;

    /** 化验浓度值 */
    private Long resultConcentration;

    /** 化验ABS值（吸光度） */
    private Long resultAbs;

    /** 结果日期 */
    private String resultDate;

    /** 结果时间 */
    private String resultTime;

    /** 曲线k0 */
    private Long curveK0;

    /** 曲线k1 */
    private Long curveK1;

    /** 曲线唯一id */
    private Long curveId;

    /** $column.columnComment */
    private Long j1901S01;

    /** $column.columnComment */
    private Long j1901D01;

    /** $column.columnComment */
    private Long j1901R01;

    /** $column.columnComment */
    private Long j1901S1;

    /** $column.columnComment */
    private Long j1901D1;

    /** $column.columnComment */
    private Long j1901R1;

    /** $column.columnComment */
    private Long j1901S02;

    /** $column.columnComment */
    private Long j1901D02;

    /** $column.columnComment */
    private Long j1901R02;

    /** $column.columnComment */
    private Long j1901S2;

    /** $column.columnComment */
    private Long j1901D2;

    /** $column.columnComment */
    private Long j1901R2;

    /** 化验分类 */
    private String assayType;

    /** 样品位 */
    private Long samplePost;

    /** 化验温度 */
    private Long resultWendu;

    /** 化验湿度 */
    private Long resultShidu;

    /** 原始浓度值 */
    private Long originalConcentration;

    /** 曲线编号 */
    private String curveNo;

    /** (0:未读，1:已读) */
    private String readFlag;

    /** 同步状态-1未同步，2已同步 */
    private String tongbuZt;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
